# Contributing to Lightspeed X Series Python Wrapper

We are excited that you are interested in contributing to the Lightspeed X Series Python wrapper!

## Getting Started

1. **Fork the Repository:**

   - Create a fork of this repository on GitHub.

2. **Clone Your Fork:** ⬇️

   - Clone your forked repository to your local machine.

3. **Install Dependencies:** ️

   - Create a virtual environment and install the required dependencies:
     ```bash
     pip install -r requirements.txt
     ```

4. **Create a Branch:**
   - Create a new branch for your changes:
     ```bash
     git checkout -b my-feature-branch
     ```

## Making Changes

- **Coding Style:**
  - Follow PEP 8 style guidelines for Python code.
- **Testing:**
  - Add or update unit tests to ensure your changes work as expected.
- **Documentation:**
  - Update the README.md or other relevant documentation if needed.

## Submitting a Pull Request

1. **Push Your Changes:**
   - Commit your changes and push them to your fork.
2. **Open a Pull Request:**
   - In GitHub, create a pull request from your branch to the `main` branch of this repository.
3. **Describe Your Changes:**
   - Provide a clear and concise description of your changes in the pull request.
4. **Review and Discussion:**
   - The maintainers will review your pull request and may provide feedback or request changes.

## Additional Notes

- **Code of Conduct:**
  - Please follow our Code of Conduct to ensure a respectful and inclusive environment for everyone.
- **Questions:** ❓
  - If you have any questions or need assistance, feel free to create an issue or ask in the discussions.

**Thank you for your contributions! ✨**
